Package org.italiangrid.voms.request.impl

# Class LegacyProtocol

java.lang.Object
org.italiangrid.voms.request.impl.AbstractVOMSProtocol
org.italiangrid.voms.request.impl.LegacyProtocol

All Implemented Interfaces:
  `eu.emi.security.authn.x509.impl.HostnameMismatchCallback2`, `VOMSProtocol`

public class LegacyProtocol extends AbstractVOMSProtocol implements VOMSProtocol, eu.emi.security.authn.x509.impl.HostnameMismatchCallback2
Protocol implementing the legacy interface.

## Field Summary

### Fields inherited from class org.italiangrid.voms.request.impl.AbstractVOMSProtocol

`connectTimeout, DEFAULT_CONNECT_TIMEOUT, DEFAULT_READ_TIMEOUT, DEFAULT_SKIP_HOSTNAME_CHECKS, listener, readTimeout, skipHostnameChecks, validator, VOMS_LEGACY_ENABLED_PROTOCOLS`

## Constructor Summary

Constructors
Constructor
Description
`LegacyProtocol(eu.emi.security.authn.x509.X509CertChainValidatorExt validator, VOMSProtocolListener listener, int connectTimeout, int readTimeout)`

## Method Summary

Modifier and Type
Method
Description
`VOMSResponse`
`doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
Makes a request, get the response.
`void`
`nameMismatch(X509Certificate peerCertificate, String hostName)`

### Methods inherited from class org.italiangrid.voms.request.impl.AbstractVOMSProtocol

`getConnectTimeout, getReadTimeout, getSSLSocketFactory, isSkipHostnameChecks, setConnectTimeout, setReadTimeout, setSkipHostnameChecks`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LegacyProtocol

public LegacyProtocol(eu.emi.security.authn.x509.X509CertChainValidatorExt validator, VOMSProtocolListener listener, int connectTimeout, int readTimeout)

## Method Details

### doRequest

public VOMSResponse doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)
Description copied from interface: `VOMSProtocol`
Makes a request, get the response.

Specified by:
  `doRequest` in interface `VOMSProtocol`
Parameters:
  `endpoint` - the voms server endpoint information
  `credential` - the credentials.
  `request` - the request.
Returns:
  a `VOMSResponse` containing the response.

### nameMismatch

public void nameMismatch(X509Certificate peerCertificate, String hostName) throws CertificateException

Specified by:
  `nameMismatch` in interface `eu.emi.security.authn.x509.impl.HostnameMismatchCallback2`
Throws:
  `CertificateException`